.******************************************************************************
.*  Maul Publisher ePDF Print Subsystem Help File
.*   Peter Koller 1998, All Rights Reserved
.******************************************************************************
:userdoc.
:title. Maul ePDF print subsystem help
:docprof toc=1234.
:h1 res=1 id=1 global.Maul ePDF print subsystem help
:i1 id=all.Maul ePDF print subsystem help
:font facename='Tms Rmn' size=24x24.
:hp2.Maul ePDF print subsystem:ehp2.
:font facename=default.
:p.
:p.This software is used to create Adobe(R) Acrobat(R) bookmark data. This data
is fed into ePDF in order to create an index.
:p.To make this work, you need to have ePDF installed, as well as the Ghostscript converter.
:p.You create bookmarks in your publication by highlighting text strings and marking them
with a title level higher than zero. See the text handler for further help.
:p.
:ul.
:li.:link reftype='launch' object='netscape.exe' data='http://www.subsys.de'.
ePDF homepage:elink.
:li.:link reftype='launch' object='netscape.exe' data='http://www.cs.wisc.edu/~ghost/'.
Ghostscript home page:elink.
:eul.
:p.
:p.This module is provided 'as is'. If you wish to obtain the source code for this module, please
contact :link reftype='launch' object='netscape.exe' data='mailto:maulpub@gmail.com'.
Maul Support <maulpub@gmail.com>:elink..
:p.
:p.Implemented by Peter Koller, Maison Anglais.
:p.:hp4.http&colon.//www.manglais.com:ehp4.
:p.
:p.
.br
.br
:h1 res=10 id=10 global.Enable ePDF print subsystem
:i1 id=options.Enable ePDF print subsystem
:p.Check this option to enable the ePDF bookmarking print subsystem. When you print to the
printer that you have chosen for ePDF, any bookmarks that you have added to this document will
automatically be extracted into an ePDF bookmark file.
.br
.br
:h1 res=20 id=20 global.ePDF print subsystem configuration file
:i1 id=configure.ePDF print subsystem configuration file
:p.If the file 'pdfmark.cfg' is found in mauls .\etc directory, the subsystem will configure
itself from this file.
:p.The default contents of this file are shown below&colon.-
:xmp.
#
#   PDFMARK config file
#
#   The configuration is shown below with examples and comments
#
#   comments are a #
#
#   Never put a space between keyword and =, the parser is not too clever
#
#   The margins should never change. It is a byte made up of the following 
#   flags&colon.- 
#
# 0x0001    //measure from bottom up *
# 0x0002    //add top margin
# 0x0004    //add bottom margin *
# 0x0010    //add left margin *
# 0x0020    //add right margin
# 0x0040    //subtract margins instead of adding them
#
margins= 0x015
#
#   delete all *.bmk files on exit
cleanup
#
#   start with subsystem enabled
enabled
#
#   do not show subsystem menu item
#nomenu
#
#   Units of measurement, should be 'points'
# pels&colon. coordinates are in pels
# twips&colon. coordinates are in 1/20th points
# decipnt&colon. coordinates are in 1/10th points
# points&colon. coordinates are in points
#
units= points
#
#   This value is added to the bookmark 'x' position
#xoffs= 0
#
#   This value is added to the bookmark 'y' position, 36 points = 1/2 inch
yoffs= 36
:exmp.
:p.If the configuration file is missing, the default settings are&colon.-
:ul.
:li.margins= 0x015
:li.units= points
:li.xoffs= 0
:li.yoffs= 0
:li.show a disabled menu item
:li.do not delete *.bmk files on exit
:eul.
.br
.br
:euserdoc.
