/******************************************************************************
    Main Resource Header
    (c)Peter Koller 1998
******************************************************************************/
#ifndef MAUL_DIALOG_RESOURCES
#define MAUL_DIALOG_RESOURCES

/******************************************************************************
    Local bitmap definitions
******************************************************************************/
#define IDBMP_OPEN          501
#define IDSB_OPEN           "#501"
#define IDBMP_SAVE          502
#define IDSB_SAVE           "#502"
#define IDBMP_FACING        523
#define IDSB_FACING         "#523"
#define IDBMP_PRINTPAGE     503
#define IDSB_PRINTPAGE      "#503"
#define IDBMP_PAGE          504
#define IDSB_PAGE           "#504"
#define IDBMP_FITWIDTH      505
#define IDSB_FITWIDTH       "#505"
#define IDBMP_ACTUAL        506
#define IDSB_ACTUAL         "#506"
#define IDBMP_BIGGER        507
#define IDSB_BIGGER         "#507"
#define IDBMP_SMALLER       508
#define IDSB_SMALLER        "#508"
#define IDBMP_PRINTER       509
#define IDSB_PRINTER        "#509"
#define IDBMP_PAGEINSERT    510
#define IDSB_PAGEINSERT     "#510"
#define IDBMP_PAGEDELETE    511
#define IDSB_PAGEDELETE     "#511"
#define IDBMP_PAGENEXT      512
#define IDSB_PAGENEXT       "#512"
#define IDBMP_PAGEPREV      513
#define IDSB_PAGEPREV       "#513"
#define IDBMP_RULEMODE      514
#define IDSB_RULEMODE       "#514"
#define IDBMP_LANDSCAPE     515
#define IDBMP_PORTRAIT      516
#define IDBMP_CNTNULL       517
#define IDSB_CNTNULL        "#517"
#define IDBMP_DNPTR         518
#define IDSB_DNPTR          "#518"
#define IDBMP_BRDNULL       519
#define IDSB_BRDNULL        "#519"
#define IDBMP_COLORWHEEL    520
#define IDSB_COLORWHEEL     "#520"
#define IDBMP_SWP           521
#define IDBMP_PAINTBUTTON   522
#define IDSB_PAINTBUTTON    "#522"
#define IDBMP_STOPBUTTON    524
#define IDSB_STOPBUTTON     "#524"
#define IDBMP_HELPBUTTON    525
#define IDSB_HELPBUTTON     "#525"
#define IDBMP_SYRINGE       526
#define IDSB_SYRINGE        "#526"
#define IDBMP_EXCLAIM       527
#define IDSB_EXCLAIM        "#527"
#define IDBMP_GO            528
#define IDSB_GO             "#528"

#define IDBMP_NEXTDBUTTON    530
#define IDBMP_NEXTRBUTTON    531
#define IDBMP_PREVDBUTTON    532
#define IDBMP_PREVRBUTTON    533

#define IDBMP_DISH			580
#define IDBMP_DISHDN		581
#define IDBMP_DOME			582
#define IDBMP_DOMEDN		583
#define IDBMP_LA0			590
#define IDBMP_LA1			591
#define IDBMP_LA2			592
#define IDBMP_LA3			593

/******************************************************************************
    All Dialog ID's
******************************************************************************/
/**** Not language specific ****/
#define IDD_POPUPDLG			100
#define IDD_POPUPMSG			101
#define IDD_POPDLG2				102

/**** General help button definition ****/
#define IDD_HELP_BUTTON         2000
#define IDD_RESET_BUTTON        2001
#define IDD_REFRESH_BUTTON      2002
#define IDD_SAVE_BUTTON       	2003


#define IDD_ABOUT               1000   /*** About Dialog       ***/
#define IDD_ATITL               1001   /* Title field            */
#define IDD_ATBOX               1002   /* Title hilite box       */
#define IDD_AIBOX               1003   /* Info hilite box        */
#define IDD_VERSION             1004   /* Version Number         */
#define IDD_HOUSEMAP            1005   /* Bitmap of house        */
#define IDD_REGINFO             1006   /* Registration info txt  */

#define IDD_ACCESSDIALOG        1010   /*** Access Deny Dialog ***/

#define IDD_EVALDIALOG          1020   /*** Eval Entry Dialog  ***/
#define IDD_EVALSPLASH          1021   /* Splash image           */
#define IDD_EVALTEXT            1022   /* Evaluation Text        */

#define IDD_SPLASHDIALOG        1025   /*** Splash Dialog      ***/

#define IDD_HANDLIST_DIALOG     1030
#define IDD_HANDLIST_LISTBOX    1031
#define IDD_PERCENTBAR          1032
#define IDD_TOOLTIP             1033

/*******************************************************************************
    Reserved information space for security dialogs

        IDD_CRNDLG              1040
        IDD_CRNENTRYNAME        1041
        IDD_CRNENTRYID          1042
        IDD_CRNENTRYKEY         1043
		IDD_CRNAUTOFETCH        1044

        IDD_PRUNDLG             1090
        IDD_PRUNSTR             1091

*******************************************************************************/
#define IDD_CRNDLG              1040    /*** CRN Dialog         ***/
#define IDD_CRNENTRYNAME        1041    /* Entryfield             */
#define IDD_CRNENTRYID          1042    /* Entryfield             */
#define IDD_CRNENTRYKEY         1043    /* Entryfield             */
#define IDD_CRNAUTOFETCH        1044    /* Pushbutton             */

#define IDD_PRUNDLG             1090    /* Printing...            */
#define IDD_PRUNSTR             1091    /* Printing...            */

#define IDD_PAGE_SETUP          1100
#define IDD_PAGE_SETUP_PPFULL   1101
#define IDD_PAGE_SETUP_PPSUBD   1102
#define IDD_PAGE_SETUP_PPBOOK   1103
#define IDD_PAGE_SETUP_SPVERT   1104
#define IDD_PAGE_SETUP_SPHORZ   1105
#define IDD_PAGE_SETUP_SPVSPN   1106
#define IDD_PAGE_SETUP_SPHSPN   1107
#define IDD_PAGE_SETUP_BKVERT   1108
#define IDD_PAGE_SETUP_BKHORZ   1109
#define IDD_PAGE_SETUP_BKNPAG   1110
#define IDD_PAGE_SETUP_FPLEFT   1111
#define IDD_PAGE_SETUP_FPRIGHT  1112
#define IDD_PAGE_SETUP_PGFROM   1113
#define IDD_PAGE_SETUP_PAGLIST  1114
#define IDD_PAGE_SETUP_NEWFORM  1115
#define IDD_PAGE_SETUP_TOPBIND  1116
#define IDD_PAGE_SETUP_PRINTER  1117
#define IDD_PAGE_SETUP_BITMAP   1118
#define IDD_PRSET_PRSET         1119
#define IDD_PAGE_SETUP_UNTRIM   1120

#define IDD_AUTOSAVEDLG         1130
#define IDD_AUTOSAVEENABLE      1131
#define IDD_AUTOSAVEDISABLE     1132

#define IDD_EDITPRJDLG          1140
#define IDD_EDITPRJFILES        1141
#define IDD_EDITPRJINSERT       1142
#define IDD_EDITPRJREMOVE       1143
#define IDD_EDITPRJUP           1144
#define IDD_EDITPRJDOWN         1145
#define IDD_EDITPRJOPEN         1146

#define IDD_PAGE_FORMS          1150
#define IDD_PAGE_FORMS_NAME     1151
#define IDD_PAGE_FORMS_PAGEX    1152
#define IDD_PAGE_FORMS_PAGEY    1153
#define IDD_PAGE_FORMS_MARGT    1154
#define IDD_PAGE_FORMS_MARGB    1155
#define IDD_PAGE_FORMS_MARGL    1156
#define IDD_PAGE_FORMS_MARGR    1157
#define IDD_PAGE_FORMS_VPELS    1158
#define IDD_PAGE_FORMS_HPELS    1159
#define IDD_PAGE_FORMS_VDPI     1160
#define IDD_PAGE_FORMS_HDPI     1161
#define IDD_PAGE_FORMS_DEL      1162
#define IDD_PAGE_FORMS_STAT1    1163
#define IDD_PAGE_FORMS_STAT2    1164
#define IDD_PAGE_FORMS_CONV     1165
#define IDD_PAGE_FORMS_SWAP     1166

#define IDD_EDITDIALOG          1170
#define IDD_EDITDIALOG2         1171
#define IDD_EDITMLE             1172
#define IDD_EDITMENU            1173
#define IDD_EDITLISTBOX         1173
#define IDD_EDITGOTO            1174

#define IDD_PRINT_FORM          1180
#define IDD_PRINT_FORM_PRINTER  1181
#define IDD_PRINT_FORM_FORM     1182
#define IDD_PRINT_FORM_BITMAP   1183
#define IDD_PRINT_FORM_FWIDTH   1184
#define IDD_PRINT_FORM_FHEIGHT  1185
#define IDD_PRINT_FORM_FXPPI    1186
#define IDD_PRINT_FORM_FYPPI    1187
#define IDD_PRINT_FORM_PWIDTH   1188
#define IDD_PRINT_FORM_PHEIGHT  1189
#define IDD_PRINT_FORM_PXPPI    1190
#define IDD_PRINT_FORM_PYPPI    1191
#define IDD_PRINT_FORM_ALLPAGES 1192
#define IDD_PRINT_FORM_SELPAGES 1193
#define IDD_PRINT_FORM_FROMPAGE 1194
#define IDD_PRINT_FORM_TOPAGE   1195
#define IDD_PRINT_FORM_MORE     1196
#define IDD_PRINT_FORM_META     1197
#define IDD_PRINT_FORM_COPIES   1198

#define IDD_PAGE_MARG           1200
#define IDD_PAGE_MARG_MEAS      1201
#define IDD_PAGE_MARG_PSIZE     1202
#define IDD_PAGE_MARG_SAVE      1203
#define IDD_PAGE_MARG_LEFT      1204
#define IDD_PAGE_MARG_RIGHT     1205
#define IDD_PAGE_MARG_TOP       1206
#define IDD_PAGE_MARG_BOTTOM    1207
#define IDD_PAGE_MARG_ROWS      1208
#define IDD_PAGE_MARG_COLS      1209
#define IDD_PAGE_MARG_GUTTER    1210
#define IDD_PAGE_MARG_USEGRID   1211
#define IDD_PAGE_MARG_FOLDGTR   1212
#define IDD_PAGE_MARG_USEFLDG   1213
#define IDD_PAGE_MARG_FGSHRINK  1214
#define IDD_PAGE_MARG_GRIDFLIP  1215
#define IDD_PAGE_MARG_LSTATS    1216
#define IDD_PAGE_MARG_RSTATS    1217
#define IDD_PAGE_MARG_TSTATS    1218
#define IDD_PAGE_MARG_BSTATS    1219
#define IDD_PAGE_MARG_CTRGUT    1220
#define IDD_PAGE_MARG_UNTRGRID  1221
#define IDD_PAGE_MARG_RULEFLIP  1222

#define IDD_PAGE_MEASUREDLG     1230
#define IDD_PAGE_MARG_METRIC    1231
#define IDD_PAGE_MARG_INCH      1232
#define IDD_PAGE_MARG_POINTS    1233
#define IDD_PAGE_MEAS_SCALE     1234
#define IDD_PAGE_MEAS_XOFFS     1235
#define IDD_PAGE_MEAS_YOFFS     1236

#define IDD_NEWPRJDLG			1240
#define IDD_NEWPRJENTRY			1241
#define IDD_NEWPRJLIST			1242
#define IDD_NEWPRJDRIVE			1243

#define IDD_STYLE_DLG       	1250

#define IDD_SNAPSDLG            1260
#define IDD_SNAPSLIST           1261
#define IDD_SNAPSADD            1262
#define IDD_SNAPSDEL            1263
#define IDD_SNAPSGROUP          1264

#define IDD_SPIN_DIALOG         1300
#define IDD_SPIN_CONTROL        1301
#define IDD_SPIN_DESCRIPTION    1302
#define IDD_SPIN_UNITS          1303

#define IDD_COMBO_DIALOG        1310
#define IDD_COMBO_LISTBOX       1311

#define IDD_COLOR_DIALOG        1320
#define IDD_COLOR_WHEEL         1321
#define IDD_COLOR_LISTBOX       1322
#define IDD_COLOR_SELECT        1323
#define IDD_COLOR_NAMED         1324

#define IDD_EDCOL_NBK	        1326
#define IDD_EDCOL_YUVPNL        1327
#define IDD_EDCOL_RGBPNL       	1328
#define IDD_EDCOL_CMYKPNL       1329
#define IDD_EDCOL_DIALOG        1330
#define IDD_EDCOL_SWATCH        1331
#define IDD_EDCOL_RED           1332
#define IDD_EDCOL_GREEN         1333
#define IDD_EDCOL_BLUE          1334
#define IDD_EDCOL_ADD           1335
#define IDD_EDCOL_REM           1336
#define IDD_EDCOL_LIST          1337
#define IDD_EDCOL_TABLES        1338
#define IDD_EDCOL_LUMIN         1339
#define IDD_EDCOL_SATURN        1340
#define IDD_EDCOL_HUE           1341
#define IDD_EDCOL_SCRANGLES     1342
#define IDD_EDCOL_STATS         1343
#define IDD_EDCOL_CAPTURE       1344
#define IDD_EDCOL_HISTORY       1345
#define IDD_EDCOL_BLACK         1346
#define IDD_EDCOL_CYAN          1347
#define IDD_EDCOL_MAGENTA       1348
#define IDD_EDCOL_YELLOW        1349


#define IDD_UNDOLISTDLG         1350
#define IDD_UNDOLISTBOX         1351
#define IDD_UNDOLISTHELP        1352
#define IDD_UNDOLISTUNDO        1353
#define IDD_UNDOLISTREDO        1354

#define IDD_FILEWARNDLG         1360
#define IDD_FILEWARN2DLG        1361

#define IDD_OPT_SNAP            1380
#define IDD_OPT_SNAP_UNITS      1381
#define IDD_OPT_SNAP_GRID       1382
#define IDD_OPT_SNAP_1          1383
#define IDD_OPT_SNAP_HALF       1384
#define IDD_OPT_SNAP_FITH       1385
#define IDD_OPT_SNAP_TENTH      1386
#define IDD_OPT_SNAP_XDISTANCE  1387
#define IDD_OPT_SNAP_YDISTANCE  1388
#define IDD_OPT_SNAP_SAVE       1389
#define IDD_OPT_SNAP_CUSTOM     1390
#define IDD_OPT_SNAP_FRAMES     1391

#define IDD_OPT_SHOW_UNITS      1394
#define IDD_OPT_SHOW_GRID       1395
#define IDD_OPT_SHOW_CUSTOM     1396

#define IDD_OPT_GSETS           1399

#define IDD_OPT_STARTUPDLG		1400
#define IDD_OPT_SUBPTHDLG		1401
#define IDD_OPT_BMPDLG			1402
#define IDD_OPT_PALDLG			1403
#define IDD_OPT_BLOBDLG			1404
#define IDD_OPT_FONTDLG			1405
#define IDD_OPT_BUTNDLG			1406
#define IDD_OPT_POPUPDLG		1407
#define IDD_OPT_MATHDLG			1408
#define IDD_OPT_DJPDLG			1409

#define IDD_OPT_LOGOTIME        1410
#define IDD_OPT_MAXIMISE        1411
#define IDD_OPT_SPLITMODE       1412
#define IDD_OPT_USECOMMON       1413
#define IDD_OPT_USEPRIVATE      1414
#define IDD_OPT_PRIVATEPATH     1415
#define IDD_OPT_OFFLINE         1416
#define IDD_OPT_BIGBLOB         1417
#define IDD_OPT_DEFBLOB         1418
#define IDD_OPT_SMLBLOB         1419
#define IDD_OPT_TOOLTIPS        1420
#define IDD_OPT_FASTEXCLUDE     1421
#define IDD_OPT_DJPROP	        1422
#define IDD_OPT_LANGUAGE        1423
#define IDD_OPT_PRINTPROG       1424
#define IDD_OPT_PROJECTPATH     1425
#define IDD_OPT_LARGEFONTS      1426
#define IDD_OPT_LOGOENABLE      1427
#define IDD_OPT_FLATBUT         1428
#define IDD_OPT_NORMBUT         1439
#define IDD_OPT_DISHBUT         1430
#define IDD_OPT_DOMEBUT         1431
#define IDD_OPT_PALETTE         1432
#define IDD_OPT_PALENABLE       1433
#define IDD_OPT_TOOLTIPS2		1434
#define IDD_OPT_NOFALSEICON		1435
#define IDD_OPT_COMCOPY      	1436
#define IDD_OPT_SAVECOORDS     	1437

#define IDD_GOTODIALOG          1445
#define IDD_GOTOFIELD           1446
#define IDD_GOTOPRIOR           1447
#define IDD_GOTONEXT            1448
#define IDD_GOTOFRAME           1449

#define IDD_NEWPUBDLG           1450
#define IDD_NEWPUBPRIM          1451
#define IDD_NEWPUBSECM          1452
#define IDD_NEWPUBPAGE          1453
#define IDD_NEWPUBGSETS         1454

#define IDD_PRINTMORE_DLG       1460
#define IDD_PRINTMORE_MANRB     1461
#define IDD_PRINTMORE_AUTRB     1462
#define IDD_PRINTMORE_FWDRB     1463
#define IDD_PRINTMORE_REVRB     1464

#define IDD_ACCELDIALOG         1480
#define IDD_ACCELHANDLERNB      1481
#define IDD_ACCELITEMLB         1482
#define IDD_ACCELCHARCB         1483
#define IDD_ACCELALTK           1484
#define IDD_ACCELCTRLK          1485
#define IDD_ACCELSHIFTK         1486
#define IDD_ACCELSHORTCUTGB     1487
#define IDD_ACCELRESETALL       1488
#define IDD_ACCELSUBDLG			1490

#define IDD_OPEN_TEMPLATE       1500
#define IDD_OPEN_BUTTON         1501

#define IDD_HANDSELECTDLG       1540
#define IDD_HANDSCONTENTS       1541
#define IDD_HANDSBACKGROUNDS    1542
#define IDD_HANDSBORDERS        1543

#define IDD_COLTAB_DIALOG       1560
#define IDD_COLTAB_LOAD         1561
#define IDD_COLTAB_MERGE        1562
#define IDD_COLTAB_SAVE         1563
#define IDD_COLTAB_DELETE       1564
#define IDD_COLTAB_COMBO        1565
#define IDD_COLTAB_CURCOLS      1566
#define IDD_COLTAB_COLSCRL      1567

#define IDD_COLNTRY_DIALOG      1570
#define IDD_COLNTRY_NAME        1571

#define IDD_ADDHDIDLG           1580
#define IDD_ADDHDINAME          1581
#define IDD_ADDHDITYPE          1582
#define IDD_ADDHDIHELPID        1583
#define IDD_ADDHDITITLEID       1584
#define IDD_ADDHDILIBID         1585

#define IDD_FILESRCHDLG     	1600    /*** File Search Dlg   ***/
#define IDD_FILESRCHPATH    	1601    /* Entry Field            */
#define IDD_FILESRCHSSB     	1602    /* Checkbox               */
#define IDD_FILESRCHIRF     	1603    /* Checkbox               */
#define IDD_FILESRCHARTNAM     	1604    /* Entry Field            */
#define IDD_FILESRCHARTAUT  	1605    /* Entry Field            */
#define IDD_FILESRCHTXT     	1606    /* Entry Field            */
#define IDD_FILESRCHCSS     	1607    /* Checkbox               */
#define IDD_FILESRCHSTAT    	1608    /* Static Text            */
#define IDD_FILESRCHLISTB   	1609    /* Listbox                */
#define IDD_FILESRCHLOAD    	1610    /* Push Button            */

#define IDD_EMBEDFONTDLG		1620
#define IDD_EMBEDFONTINS		1621
#define IDD_EMBEDFONTDEL		1622
#define IDD_EMBEDFONTLIST1		1623
#define IDD_EMBEDFONTLIST2		1624
#define IDD_EMBEDFONTINSBL		1625
#define IDD_EMBEDFONTINSTALL	1626

#define IDD_OPT_DOCINFO			1640
#define IDD_OPT_DOCTITLE		1641
#define IDD_OPT_DOCSUBJCT		1642
#define IDD_OPT_DOCAUTHOR		1643
#define IDD_OPT_DOCKEYWRD		1644

#define IDD_TUNEDLG				1650
//sliders
#define IDD_CONTRAST			1651
#define IDD_BRIGHTNESS			1652
#define IDD_GAMMA				1653
#define	IDD_REDSLIDER			1654
#define	IDD_GRNSLIDER			1655
#define	IDD_BLUSLIDER			1656
//entries
#define IDD_CONTRENTRY			1657
#define IDD_BRIGHTENTRY			1658
#define IDD_GAMMAENTRY			1659
#define	IDD_REDENTRY			1660
#define	IDD_GRNENTRY			1661
#define	IDD_BLUENTRY			1662
//rotary controls
#define IDD_REDVECTOR			1663
#define IDD_GRNVECTOR			1664
#define IDD_BLUVECTOR			1665
//vector sliders
#define	IDD_REDVECSLIDER		1666
#define	IDD_GRNVECSLIDER		1667
#define	IDD_BLUVECSLIDER		1668
#define	IDD_COLORRANGE			1669
//vector entries
#define IDD_REDVECENTRY			1670
#define IDD_GRNVECENTRY			1671
#define IDD_BLUVECENTRY			1672
#define	IDD_CRANGEENTRY			1673

#define IDD_SAMPLEDLG			1680
#define IDD_BMPPCBAR			1681
#define IDD_SAMPLEGRPBOX		1682
#define IDD_SAMPLEIMAGE			1683

#define IDD_NULL_IMPORTDLG      1700


#endif
